Bug 243886 - misc/brs: Update to 4.3.0 (Fixes run time segfaults), Rename to bible-kjv
Summary: misc/brs: Update to 4.3.0 (Fixes run time segfaults), Rename to bible-kjv
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kubilay Kocak
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-05 01:15 UTC by andrew
Modified: 2020-02-17 06:31 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
patch assuming dir is renamed (12.64 KB, patch)
2020-02-05 01:15 UTC, andrew
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2020-02-05 01:15:45 UTC
Created attachment 211362 [details]
patch assuming dir is renamed

misc/brs currently builds with many warnings but segfaults at runtime (probably a missing prototypes issue since that's what most of the warnings are).

A much more recent version (4.30 as opposed to 4.03) of this is widely available on linux under the name bible-kjv, which also exists as an openbsd port.

This patch updates to 4.30 and renames to bible-kjv; switches to using DEBIAN as the upstream; includes the "randverse" program; and does some wordsmithing on the description (it's all very well saying that the port includes libraries, but it doesn't install them).

I did not change the maintainer field but feel free to assign it to me if the existing maintainer times out or demurs.

Attached patch assumes the dir is already renamed from misc/brs to misc/bible-kjv
 (note all the files/* are removed).
Comment 1 Automation User 2020-02-05 01:33:19 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/115037426
Comment 2 user 2020-02-05 12:40:34 UTC
I have not run FreeBSD in many years, so no objections to reassigning the maintenance. Thanks!
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-07 05:49:25 UTC
Comment on attachment 211362 [details]
patch assuming dir is renamed

Approved by: <user unknown nu> (implicit, approves maintainer change)
Comment 4 commit-hook freebsd_committer 2020-02-08 08:25:57 UTC
A commit references this bug:

Author: koobs
Date: Sat Feb  8 08:24:57 UTC 2020
New revision: 525523
URL: https://svnweb.freebsd.org/changeset/ports/525523

Log:
  misc/brs: Update to 4.3.0

  misc/brs currently builds with many warnings and segfaults at runtime,
  likely a missing prototypes issue as that's what most of the warnings
  are.

  A much more recent version (4.30 as opposed to 4.03) of this is
  widely available on linux under the name "bible-kjv", which also exists
  as an OpenBSD port.

  This change updates brs to 4.30, switching upstream to DEBIAN [1], and the
  first step commit to renaming the port.

  While here:

    - Include the "randverse" program
    - Wordsmith pkg-descr: It's all very well saying that the port
      includes libraries, but it doesn't install them.
    - Remove patches: no longer relevent

  [1] Use a temporary MASTER_SITES workaround, instead of 'DEBIAN' directly
      because it does not currently use or support DISTNAME.

  PR:		243886
  Submitted by:	Andrew <andrew tao11.riddles.org.uk>
  Approved by:	<user unknown nu> (implicit, approves maintainer change)
  Approved by:	portmgr (blanket: run (crash) fixes)
  MFH:		2020Q1

Changes:
  head/misc/brs/Makefile
  head/misc/brs/distinfo
  head/misc/brs/files/
  head/misc/brs/pkg-descr
  head/misc/brs/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-02-11 03:38:16 UTC
A commit references this bug:

Author: koobs
Date: Tue Feb 11 03:37:48 UTC 2020
New revision: 525774
URL: https://svnweb.freebsd.org/changeset/ports/525774

Log:
  MFH: r525523 misc/brs: Update to 4.3.0

  misc/brs currently builds with many warnings and segfaults at runtime,
  likely a missing prototypes issue as that's what most of the warnings
  are.

  A much more recent version (4.30 as opposed to 4.03) of this is
  widely available on linux under the name "bible-kjv", which also exists
  as an OpenBSD port.

  This change updates brs to 4.30, switching upstream to DEBIAN [1], and the
  first step commit to renaming the port.

  While here:

    - Include the "randverse" program
    - Wordsmith pkg-descr: It's all very well saying that the port
      includes libraries, but it doesn't install them.
    - Remove patches: no longer relevent

  [1] Use a temporary MASTER_SITES workaround, instead of 'DEBIAN' directly
      because it does not currently use or support DISTNAME.

  PR:		243886
  Submitted by:	Andrew <andrew tao11.riddles.org.uk>
  Approved by:	<user unknown nu> (implicit, approves maintainer change)
  Approved by:	portmgr (blanket: run (crash) fixes)

  Approved by:	ports-secteam (blanket: run (crash) fixes)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/misc/brs/Makefile
  branches/2020Q1/misc/brs/distinfo
  branches/2020Q1/misc/brs/files/
  branches/2020Q1/misc/brs/pkg-descr
  branches/2020Q1/misc/brs/pkg-plist
Comment 6 commit-hook freebsd_committer 2020-02-17 06:29:59 UTC
A commit references this bug:

Author: koobs
Date: Mon Feb 17 06:29:47 UTC 2020
New revision: 526344
URL: https://svnweb.freebsd.org/changeset/ports/526344

Log:
  misc/brs: Rename to bible-kjv

  ports r525523 updated brs to use the DEBIAN upstream 'bible-kjv', the
  successor to the now unmaintained brs.

  This commit renames brs to bible-kjv accordingly.

  PR:		243886
  Submitted by:	Andrew <andrew tao11.riddles.org.uk>
  Approved by:	<user unknown nu> (implicit, approves maintainer change)

Changes:
  head/MOVED
  head/misc/bible-kjv/
  head/misc/bible-kjv/Makefile
  head/misc/brs/
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 06:31:14 UTC
Committed and merged (bugfix), and renamed. Thanks Andrew!